%include "typemaps.i"


%include java.i

DECLARE_REF_COUNT_CLASS_JAVA(itkImageIOBase)
DECLARE_REF_COUNT_CLASS_JAVA(itkIPLCommonImageIO)
DECLARE_REF_COUNT_CLASS_JAVA(itkTransformFileReader)
DECLARE_REF_COUNT_CLASS_JAVA(itkTransformFileWriter)
DECLARE_REF_COUNT_CLASS_JAVA(itkRawImageIOF2)
DECLARE_REF_COUNT_CLASS_JAVA(itkBioRadImageIO)
DECLARE_REF_COUNT_CLASS_JAVA(itkBioRadImageIOFactory)
DECLARE_REF_COUNT_CLASS_JAVA(itkGE4ImageIO)
DECLARE_REF_COUNT_CLASS_JAVA(itkGE4ImageIOFactory)
DECLARE_REF_COUNT_CLASS_JAVA(itkGE5ImageIO)
DECLARE_REF_COUNT_CLASS_JAVA(itkGE5ImageIOFactory)
DECLARE_REF_COUNT_CLASS_JAVA(itkGEAdwImageIO)
DECLARE_REF_COUNT_CLASS_JAVA(itkGEAdwImageIOFactory)
DECLARE_REF_COUNT_CLASS_JAVA(itkSiemensVisionImageIO)
DECLARE_REF_COUNT_CLASS_JAVA(itkSiemensVisionImageIOFactory)
DECLARE_REF_COUNT_CLASS_JAVA(itkStimulateImageIO)
DECLARE_REF_COUNT_CLASS_JAVA(itkStimulateImageIOFactory)
DECLARE_REF_COUNT_CLASS_JAVA(itkVTKImageIO)
DECLARE_REF_COUNT_CLASS_JAVA(itkVTKImageIOFactory)
DECLARE_REF_COUNT_CLASS_JAVA(itkArchetypeSeriesFileNames)
DECLARE_REF_COUNT_CLASS_JAVA(itkNumericSeriesFileNames)
DECLARE_REF_COUNT_CLASS_JAVA(itkRegularExpressionSeriesFileNames)


%typemap(javaimports) SWIGTYPE, SWIGTYPE *, SWIGTYPE &, SWIGTYPE [], SWIGTYPE (CLASS::*)"
import org.itk.itkvxlnumerics.*;import org.itk.itkbase.*;import org.itk.itkcommon.*;import org.itk.itktransforms.*;import org.otb.otbimages.*;import org.itk.itkjavabase.*;"

%pragma(java) jniclassimports = %{
import org.itk.itkjavabase.*;
import org.itk.itkvxlnumerics.*;import org.itk.itkbase.*;import org.itk.itkcommon.*;import org.itk.itktransforms.*;import org.otb.otbimages.*;import org.itk.itkjavabase.*;
%}

%pragma(java) jniclasscode=%{
  static {
    itkJavaLibraryLoader.Load("itkIOJava");
  }
%}


%{
#include <stdexcept>
#include "itkExceptionObject.h"

/*  Errors in SWIG */
#define  SWIG_UnknownError    	   -1 
#define  SWIG_IOError        	   -2 
#define  SWIG_RuntimeError   	   -3 
#define  SWIG_IndexError     	   -4 
#define  SWIG_TypeError      	   -5 
#define  SWIG_DivisionByZero 	   -6 
#define  SWIG_OverflowError  	   -7 
#define  SWIG_SyntaxError    	   -8 
#define  SWIG_ValueError     	   -9 
#define  SWIG_SystemError    	   -10
#define  SWIG_AttributeError 	   -11
#define  SWIG_MemoryError    	   -12 
#define  SWIG_NullReferenceError   -13

SWIGINTERN void SWIG_CustomJavaException(JNIEnv *jenv, int code, const char *msg) {
  SWIG_JavaExceptionCodes exception_code = SWIG_JavaUnknownError;
  switch(code) {
  case SWIG_MemoryError:
    exception_code = SWIG_JavaOutOfMemoryError;
    break;
  case SWIG_IOError:
    exception_code = SWIG_JavaIOException;
    break;
  case SWIG_SystemError:
  case SWIG_RuntimeError:
    exception_code = SWIG_JavaRuntimeException;
    break;
  case SWIG_OverflowError:
  case SWIG_IndexError:
    exception_code = SWIG_JavaIndexOutOfBoundsException;
    break;
  case SWIG_DivisionByZero:
    exception_code = SWIG_JavaArithmeticException;
    break;
  case SWIG_SyntaxError:
  case SWIG_ValueError:
  case SWIG_TypeError:
    exception_code = SWIG_JavaIllegalArgumentException;
    break;
  case SWIG_UnknownError:
  default:
    exception_code = SWIG_JavaUnknownError;
    break;
  }
  SWIG_JavaThrowException(jenv, exception_code, msg);
}

%}



%exception {
  try {
    $action
  } 
catch(const itk::ExceptionObject& e)
{
    std::cerr << e.GetFile() << ":" << e.GetLine() << ":\n"
              << e.GetDescription() << "\n";
}
catch (const std::exception& e) {
    SWIG_CustomJavaException(jenv,SWIG_RuntimeError, e.what());
 }

}
