depends = ('ITKPyBase', 'itkVXLNumerics', )
templates = (
  ('LightObject', 'itk::LightObject', 'itkLightObject'),
  ('list', 'std::list', 'listitkLightObject', 'itk::LightObject'),
  ('Object', 'itk::Object', 'itkObject'),
  ('DataObject', 'itk::DataObject', 'itkDataObject'),
  ('vector', 'std::vector', 'vectoritkDataObject', 'itk::DataObject'),
  ('LightProcessObject', 'itk::LightProcessObject', 'itkLightProcessObject'),
  ('ProcessObject', 'itk::ProcessObject', 'itkProcessObject'),
  ('Command', 'itk::Command', 'itkCommand'),
  ('Directory', 'itk::Directory', 'itkDirectory'),
  ('DynamicLoader', 'itk::DynamicLoader', 'itkDynamicLoader'),
  ('ObjectFactoryBase', 'itk::ObjectFactoryBase', 'itkObjectFactoryBase'),
  ('list', 'std::list', 'listitkObjectFactoryBase', 'itk::ObjectFactoryBase'),
  ('OutputWindow', 'itk::OutputWindow', 'itkOutputWindow'),
  ('Version', 'itk::Version', 'itkVersion'),
  ('TimeStamp', 'itk::TimeStamp', 'itkTimeStamp'),
  ('Indent', 'itk::Indent', 'itkIndent'),
  ('SimpleFilterWatcher', 'itk::SimpleFilterWatcher', 'itkSimpleFilterWatcher'),
  ('XMLFilterWatcher', 'itk::XMLFilterWatcher', 'itkXMLFilterWatcher'),
  ('MetaDataDictionary', 'itk::MetaDataDictionary', 'itkMetaDataDictionary'),
  ('vector', 'std::vector', 'vectoritkMetaDataDictionary', 'itk::MetaDataDictionary'),
  ('ResourceProbe', 'itk::ResourceProbe', 'itkResourceProbeDD', 'double,double'),
  ('TimeProbe', 'itk::TimeProbe', 'itkTimeProbe'),
  ('MetaDataObjectBase', 'itk::MetaDataObjectBase', 'itkMetaDataObjectBase'),
  ('ProgressReporter', 'itk::ProgressReporter', 'itkProgressReporter'),
  ('MultiThreader', 'itk::MultiThreader', 'itkMultiThreader'),
  ('Region', 'itk::Region', 'itkRegion'),
  ('MeshRegion', 'itk::MeshRegion', 'itkMeshRegion'),
  ('ImageRegion', 'itk::ImageRegion', 'itkImageRegion2', '2'),
  ('Array', 'itk::Array', 'itkArrayD', 'double'),
  ('Array', 'itk::Array', 'itkArrayF', 'float'),
  ('Array', 'itk::Array', 'itkArrayUL', 'unsigned long'),
  ('Array2D', 'itk::Array2D', 'itkArray2DD', 'double'),
  ('Array2D', 'itk::Array2D', 'itkArray2DUI', 'unsigned int'),
  ('BoundingBox', 'itk::BoundingBox', 'itkBoundingBoxUL2DVCULPD2', 'unsigned long,2,double, itk::VectorContainer< unsigned long, itk::Point< double,2 > >'),
  ('BoundingBox', 'itk::BoundingBox', 'itkBoundingBoxUL2DMCULPD2', 'unsigned long,2,double, itk::MapContainer< unsigned long, itk::Point< double,2 > >'),
  ('ContinuousIndex', 'itk::ContinuousIndex', 'itkContinuousIndexF2', 'float,2'),
  ('ContinuousIndex', 'itk::ContinuousIndex', 'itkContinuousIndexD2', 'double,2'),
  ('CovariantVector', 'itk::CovariantVector', 'itkCovariantVectorF2', 'float,2'),
  ('CovariantVector', 'itk::CovariantVector', 'itkCovariantVectorD2', 'double,2'),
  ('DefaultDynamicMeshTraits', 'itk::DefaultDynamicMeshTraits', 'itkDefaultDynamicMeshTraitsD22DD', 'double,2,2,double,double'),
  ('DefaultDynamicMeshTraits', 'itk::DefaultDynamicMeshTraits', 'itkDefaultDynamicMeshTraitsD22D', 'double,2,2,double'),
  ('DefaultStaticMeshTraits', 'itk::DefaultStaticMeshTraits', 'itkDefaultStaticMeshTraitsD22DD', 'double,2,2,double,double'),
  ('DefaultStaticMeshTraits', 'itk::DefaultStaticMeshTraits', 'itkDefaultStaticMeshTraitsD22D', 'double,2,2,double'),
  ('MembershipFunctionBase', 'itk::Statistics::MembershipFunctionBase', 'itkMembershipFunctionBaseVUC1', 'itk::Vector< unsigned char,1 >'),
  ('MembershipFunctionBase', 'itk::Statistics::MembershipFunctionBase', 'itkMembershipFunctionBaseVUS1', 'itk::Vector< unsigned short,1 >'),
  ('MembershipFunctionBase', 'itk::Statistics::MembershipFunctionBase', 'itkMembershipFunctionBaseVF1', 'itk::Vector< float,1 >'),
  ('DensityFunction', 'itk::Statistics::DensityFunction', 'itkDensityFunctionVUC1', 'itk::Vector< unsigned char,1 >'),
  ('DensityFunction', 'itk::Statistics::DensityFunction', 'itkDensityFunctionVUS1', 'itk::Vector< unsigned short,1 >'),
  ('DensityFunction', 'itk::Statistics::DensityFunction', 'itkDensityFunctionVF1', 'itk::Vector< float,1 >'),
  ('EventObject', 'itk::EventObject', 'itkEventObject'),
  ('NoEvent', 'itk::NoEvent', 'itkNoEvent'),
  ('AnyEvent', 'itk::AnyEvent', 'itkAnyEvent'),
  ('DeleteEvent', 'itk::DeleteEvent', 'itkDeleteEvent'),
  ('StartEvent', 'itk::StartEvent', 'itkStartEvent'),
  ('EndEvent', 'itk::EndEvent', 'itkEndEvent'),
  ('ProgressEvent', 'itk::ProgressEvent', 'itkProgressEvent'),
  ('ExitEvent', 'itk::ExitEvent', 'itkExitEvent'),
  ('ModifiedEvent', 'itk::ModifiedEvent', 'itkModifiedEvent'),
  ('IterationEvent', 'itk::IterationEvent', 'itkIterationEvent'),
  ('PickEvent', 'itk::PickEvent', 'itkPickEvent'),
  ('StartPickEvent', 'itk::StartPickEvent', 'itkStartPickEvent'),
  ('EndPickEvent', 'itk::EndPickEvent', 'itkEndPickEvent'),
  ('AbortCheckEvent', 'itk::AbortCheckEvent', 'itkAbortCheckEvent'),
  ('UserEvent', 'itk::UserEvent', 'itkUserEvent'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayD2', 'double,2'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayF2', 'float,2'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUL2', 'unsigned long,2'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUS2', 'unsigned short,2'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUC2', 'unsigned char,2'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUI2', 'unsigned int,2'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySL2', 'signed long,2'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySS2', 'signed short,2'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySC2', 'signed char,2'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayB2', 'bool,2'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayD4', 'double,4'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayF4', 'float,4'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUL4', 'unsigned long,4'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUS4', 'unsigned short,4'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUC4', 'unsigned char,4'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUI4', 'unsigned int,4'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySL4', 'signed long,4'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySS4', 'signed short,4'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySC4', 'signed char,4'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayB4', 'bool,4'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayD3', 'double,3'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayF3', 'float,3'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUL3', 'unsigned long,3'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUS3', 'unsigned short,3'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUC3', 'unsigned char,3'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUI3', 'unsigned int,3'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySL3', 'signed long,3'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySS3', 'signed short,3'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySC3', 'signed char,3'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayB3', 'bool,3'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayD1', 'double,1'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayF1', 'float,1'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUL1', 'unsigned long,1'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUS1', 'unsigned short,1'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUC1', 'unsigned char,1'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUI1', 'unsigned int,1'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySL1', 'signed long,1'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySS1', 'signed short,1'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySC1', 'signed char,1'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayB1', 'bool,1'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayD6', 'double,6'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayF6', 'float,6'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUL6', 'unsigned long,6'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUS6', 'unsigned short,6'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUC6', 'unsigned char,6'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUI6', 'unsigned int,6'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySL6', 'signed long,6'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySS6', 'signed short,6'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySC6', 'signed char,6'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayB6', 'bool,6'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayD11', 'double,11'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayF11', 'float,11'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUL11', 'unsigned long,11'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUS11', 'unsigned short,11'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUC11', 'unsigned char,11'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayUI11', 'unsigned int,11'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySL11', 'signed long,11'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySS11', 'signed short,11'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArraySC11', 'signed char,11'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayB11', 'bool,11'),
  ('FlatStructuringElement', 'itk::FlatStructuringElement', 'itkFlatStructuringElement2', '2'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBaseIF2D', 'otb::Image< float,2 >,double'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBaseIUS2D', 'otb::Image< unsigned short,2 >,double'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBasePF2D', 'itk::Point< float,2 > ,double'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBasePD2D', 'itk::Point< double,2 > ,double'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBaseCIF2AD', 'itk::ContinuousIndex< float,2 > ,itk::Array< double >'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBaseCID2AD', 'itk::ContinuousIndex< double,2 > ,itk::Array< double >'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBasePD2VD2', 'itk::Point< double,2 >, itk::Vector< double,2 >'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBaseDD', 'double,double'),
  ('ImageBase', 'itk::ImageBase', 'itkImageBase2', '2'),
  ('Image', 'itk::Image', 'itkImageRGBUS2', 'itk::RGBPixel< unsigned short >,2'),
  ('Image', 'itk::Image', 'itkImageRGBAUS2', 'itk::RGBAPixel< unsigned short >,2'),
  ('Image', 'itk::Image', 'itkImageVF22', 'itk::Vector< float,2 >,2'),
  ('Image', 'itk::Image', 'itkImageCVF22', 'itk::CovariantVector< float,2 >,2'),
  ('Image', 'itk::Image', 'itkImageUS2', 'unsigned short,2'),
  ('Image', 'itk::Image', 'itkImageF2', 'float,2'),
  ('Image', 'itk::Image', 'itkImageCF2', 'std::complex< float >,2'),
  ('Image', 'itk::Image', 'itkImageD2', 'double,2'),
  ('Image', 'itk::Image', 'itkImageUC2', 'unsigned char,2'),
  ('Image', 'itk::Image', 'itkImageUL2', 'unsigned long,2'),
  ('Image', 'itk::Image', 'itkImageRGBUC2', 'itk::RGBPixel< unsigned char >,2'),
  ('Image', 'itk::Image', 'itkImageRGBAUC2', 'itk::RGBAPixel< unsigned char >,2'),
  ('Image', 'itk::Image', 'itkImageUI2', 'unsigned int,2'),
  ('Image', 'itk::Image', 'itkImageFAF22', 'itk::FixedArray< float,2 >,2'),
  ('Image', 'itk::Image', 'itkImageO22', 'itk::Offset< 2 >,2'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionIRGBUS2', 'otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionIIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionIRGBAUS2', 'otb::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionIIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionIVF22', 'otb::Image< itk::Vector< float,2 >,2 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionIIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionICVF22', 'otb::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionIICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionIUS2', 'otb::Image< unsigned short,2 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionIIUS2', 'itk::Image< unsigned short,2 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionIF2', 'otb::Image< float,2 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionIIF2', 'itk::Image< float,2 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionICF2', 'otb::Image< std::complex< float >,2 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionIICF2', 'itk::Image< std::complex< float >,2 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIRGBUS2', 'otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIRGBAUS2', 'otb::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIVF22', 'otb::Image< itk::Vector< float,2 >,2 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionICVF22', 'otb::Image< itk::CovariantVector< float,2 >,2 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIUS2', 'otb::Image< unsigned short,2 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIIUS2', 'itk::Image< unsigned short,2 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIF2', 'otb::Image< float,2 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIIF2', 'itk::Image< float,2 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionICF2', 'otb::Image< std::complex< float >,2 >'),
  ('PeriodicBoundaryCondition', 'itk::PeriodicBoundaryCondition', 'itkPeriodicBoundaryConditionIICF2', 'itk::Image< std::complex< float >,2 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIRGBUS2', 'otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIRGBAUS2', 'otb::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIVF22', 'otb::Image< itk::Vector< float,2 >,2 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionICVF22', 'otb::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIUS2', 'otb::Image< unsigned short,2 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIIUS2', 'itk::Image< unsigned short,2 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIF2', 'otb::Image< float,2 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIIF2', 'itk::Image< float,2 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionICF2', 'otb::Image< std::complex< float >,2 >'),
  ('ZeroFluxNeumannBoundaryCondition', 'itk::ZeroFluxNeumannBoundaryCondition', 'itkZeroFluxNeumannBoundaryConditionIICF2', 'itk::Image< std::complex< float >,2 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIRGBUS2', 'otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIRGBAUS2', 'otb::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIVF22', 'otb::Image< itk::Vector< float,2 >,2 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionICVF22', 'otb::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIUS2', 'otb::Image< unsigned short,2 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIIUS2', 'itk::Image< unsigned short,2 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIF2', 'otb::Image< float,2 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIIF2', 'itk::Image< float,2 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionICF2', 'otb::Image< std::complex< float >,2 >'),
  ('ConstantBoundaryCondition', 'itk::ConstantBoundaryCondition', 'itkConstantBoundaryConditionIICF2', 'itk::Image< std::complex< float >,2 >'),
  ('Index', 'itk::Index', 'itkIndex2', '2'),
  ('Index', 'itk::Index', 'itkIndex1', '1'),
  ('LevelSetNode', 'itk::LevelSetNode', 'itkLevelSetNodeUS2', 'unsigned short,2'),
  ('LevelSetNode', 'itk::LevelSetNode', 'itkLevelSetNodeF2', 'float,2'),
  ('MapContainer', 'itk::MapContainer', 'itkMapContainerULVD2', 'unsigned long,itk::Vector< double,2 >'),
  ('map', 'std::map', 'itkMapContainerULVD2_Superclass', 'unsigned long, itk::Vector< double,2 > '),
  ('MapContainer', 'itk::MapContainer', 'itkMapContainerULPD2', 'unsigned long,itk::Point< double,2 >'),
  ('map', 'std::map', 'itkMapContainerULPD2_Superclass', 'unsigned long, itk::Point< double,2 > '),
  ('MapContainer', 'itk::MapContainer', 'itkMapContainerULD', 'unsigned long,double'),
  ('MapContainer', 'itk::MapContainer', 'itkMapContainerULSUL', 'unsigned long, std::set< unsigned long >'),
  ('Matrix', 'itk::Matrix', 'itkMatrixF22', 'float,2,2'),
  ('Matrix', 'itk::Matrix', 'itkMatrixD22', 'double,2,2'),
  ('Mesh', 'itk::Mesh', 'itkMeshD2S', 'double,2,itk::DefaultStaticMeshTraits< double,2,2,double >'),
  ('Mesh', 'itk::Mesh', 'itkMeshD2D', 'double,2,itk::DefaultDynamicMeshTraits< double,2,2,double >'),
  ('MetaDataObject', 'itk::MetaDataObject', 'itkMetaDataObjectD', 'double'),
  ('MetaDataObject', 'itk::MetaDataObject', 'itkMetaDataObjectF', 'float'),
  ('MetaDataObject', 'itk::MetaDataObject', 'itkMetaDataObjectUI', 'unsigned int'),
  ('MetaDataObject', 'itk::MetaDataObject', 'itkMetaDataObjectUL', 'unsigned long'),
  ('BandNode', 'itk::BandNode', 'itkBandNodeI2US', 'itk::Index<2>, unsigned short'),
  ('BandNode', 'itk::BandNode', 'itkBandNodeI2F', 'itk::Index<2>, float'),
  ('NarrowBand', 'itk::NarrowBand', 'itkNarrowBandBNI2US', 'itk::BandNode< itk::Index<2>, unsigned short>'),
  ('NarrowBand', 'itk::NarrowBand', 'itkNarrowBandBNI2F', 'itk::BandNode< itk::Index<2>, float>'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodUS2', 'unsigned short,2, itk::NeighborhoodAllocator< unsigned short >'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodF2', 'float,2, itk::NeighborhoodAllocator< float >'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodRGBUS2', 'itk::RGBPixel< unsigned short >,2, itk::NeighborhoodAllocator< itk::RGBPixel< unsigned short > >'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodRGBAUS2', 'itk::RGBAPixel< unsigned short >,2, itk::NeighborhoodAllocator< itk::RGBAPixel< unsigned short > >'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodB2', 'bool,2, itk::NeighborhoodAllocator< bool >'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodpF2', 'float*,2'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodpUS2', 'unsigned short*,2'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodpRGBUS2', 'itk::RGBPixel< unsigned short >*,2'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodpRGBAUS2', 'itk::RGBAPixel< unsigned short >*,2'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodVF22', 'itk::Vector< float,2 >,2'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodpVF22', 'itk::Vector< float,2 >* ,2'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodCVF22', 'itk::CovariantVector< float,2 >,2'),
  ('Neighborhood', 'itk::Neighborhood', 'itkNeighborhoodpCVF22', 'itk::CovariantVector< float,2 >* ,2'),
  ('NeighborhoodAllocator', 'itk::NeighborhoodAllocator', 'itkNeighborhoodAllocatorUS', 'unsigned short'),
  ('NeighborhoodAllocator', 'itk::NeighborhoodAllocator', 'itkNeighborhoodAllocatorF', 'float'),
  ('_Num_base', 'std::_Num_base', 'std_Num_base'),
  ('_Num_int_base', 'std::_Num_int_base', 'std_Num_int_base'),
  ('_Num_float_base', 'std::_Num_float_base', 'std_Num_float_base'),
  ('vcl_numeric_limits', 'vcl_numeric_limits', 'vcl_numeric_limitsUC', 'unsigned char'),
  ('vcl_numeric_limits', 'vcl_numeric_limits', 'vcl_numeric_limitsUS', 'unsigned short'),
  ('vcl_numeric_limits', 'vcl_numeric_limits', 'vcl_numeric_limitsUI', 'unsigned int'),
  ('vcl_numeric_limits', 'vcl_numeric_limits', 'vcl_numeric_limitsUL', 'unsigned long'),
  ('vcl_numeric_limits', 'vcl_numeric_limits', 'vcl_numeric_limitsSC', 'signed char'),
  ('vcl_numeric_limits', 'vcl_numeric_limits', 'vcl_numeric_limitsSS', 'signed short'),
  ('vcl_numeric_limits', 'vcl_numeric_limits', 'vcl_numeric_limitsSI', 'signed int'),
  ('vcl_numeric_limits', 'vcl_numeric_limits', 'vcl_numeric_limitsSL', 'signed long'),
  ('vcl_numeric_limits', 'vcl_numeric_limits', 'vcl_numeric_limitsF', 'float'),
  ('vcl_numeric_limits', 'vcl_numeric_limits', 'vcl_numeric_limitsD', 'double'),
  ('vcl_numeric_limits', 'vcl_numeric_limits', 'vcl_numeric_limitsLD', 'long double'),
  ('vcl_numeric_limits', 'vcl_numeric_limits', 'vcl_numeric_limitsB', 'bool'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsUC', 'unsigned char'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsUS', 'unsigned short'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsUI', 'unsigned int'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsUL', 'unsigned long'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsSC', 'signed char'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsSS', 'signed short'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsSI', 'signed int'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsSL', 'signed long'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsF', 'float'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsD', 'double'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsLD', 'long double'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsB', 'bool'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsRGBUS', 'itk::RGBPixel< unsigned short >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsRGBAUS', 'itk::RGBAPixel< unsigned short >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsCVF2', 'itk::CovariantVector< float,2 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVUC1', 'itk::Vector< unsigned char,1 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVF1', 'itk::Vector< float,1 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVD1', 'itk::Vector< double,1 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVUS1', 'itk::Vector< unsigned short,1 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVUC2', 'itk::Vector< unsigned char,2 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVF2', 'itk::Vector< float,2 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVD2', 'itk::Vector< double,2 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVUS2', 'itk::Vector< unsigned short,2 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVUC6', 'itk::Vector< unsigned char,6 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVF6', 'itk::Vector< float,6 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVD6', 'itk::Vector< double,6 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVUS6', 'itk::Vector< unsigned short,6 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAD2', 'itk::FixedArray< double,2 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAF2', 'itk::FixedArray< float,2 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUL2', 'itk::FixedArray< unsigned long,2 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUS2', 'itk::FixedArray< unsigned short,2 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUC2', 'itk::FixedArray< unsigned char,2 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUI2', 'itk::FixedArray< unsigned int,2 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFASL2', 'itk::FixedArray< signed long,2 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFASS2', 'itk::FixedArray< signed short,2 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFASC2', 'itk::FixedArray< signed char,2 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAD4', 'itk::FixedArray< double,4 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAF4', 'itk::FixedArray< float,4 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUL4', 'itk::FixedArray< unsigned long,4 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUS4', 'itk::FixedArray< unsigned short,4 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUC4', 'itk::FixedArray< unsigned char,4 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUI4', 'itk::FixedArray< unsigned int,4 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFASL4', 'itk::FixedArray< signed long,4 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFASS4', 'itk::FixedArray< signed short,4 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFASC4', 'itk::FixedArray< signed char,4 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAD3', 'itk::FixedArray< double,3 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAF3', 'itk::FixedArray< float,3 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUL3', 'itk::FixedArray< unsigned long,3 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUS3', 'itk::FixedArray< unsigned short,3 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUC3', 'itk::FixedArray< unsigned char,3 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUI3', 'itk::FixedArray< unsigned int,3 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFASL3', 'itk::FixedArray< signed long,3 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFASS3', 'itk::FixedArray< signed short,3 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFASC3', 'itk::FixedArray< signed char,3 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAD1', 'itk::FixedArray< double,1 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAF1', 'itk::FixedArray< float,1 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUL1', 'itk::FixedArray< unsigned long,1 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUS1', 'itk::FixedArray< unsigned short,1 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUC1', 'itk::FixedArray< unsigned char,1 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUI1', 'itk::FixedArray< unsigned int,1 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFASL1', 'itk::FixedArray< signed long,1 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFASS1', 'itk::FixedArray< signed short,1 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFASC1', 'itk::FixedArray< signed char,1 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAD6', 'itk::FixedArray< double,6 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAF6', 'itk::FixedArray< float,6 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUL6', 'itk::FixedArray< unsigned long,6 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUS6', 'itk::FixedArray< unsigned short,6 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUC6', 'itk::FixedArray< unsigned char,6 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFAUI6', 'itk::FixedArray< unsigned int,6 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFASL6', 'itk::FixedArray< signed long,6 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFASS6', 'itk::FixedArray< signed short,6 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsFASC6', 'itk::FixedArray< signed char,6 >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVLVUS', 'itk::VariableLengthVector< unsigned short >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVLVF', 'itk::VariableLengthVector< float >'),
  ('NumericTraits', 'itk::NumericTraits', 'itkNumericTraitsVLVUC', 'itk::VariableLengthVector< unsigned char >'),
  ('Offset', 'itk::Offset', 'itkOffset2', '2'),
  ('Offset', 'itk::Offset', 'itkOffset1', '1'),
  ('ParametricPath', 'itk::ParametricPath', 'itkParametricPath2', '2'),
  ('Path', 'itk::Path', 'itkPathDCID22', 'double, itk::ContinuousIndex< double,2 >, 2'),
  ('PathSource', 'itk::PathSource', 'itkPathSourcePLPP2', 'itk::PolyLineParametricPath< 2 >'),
  ('Point', 'itk::Point', 'itkPointF2', 'float,2'),
  ('Point', 'itk::Point', 'itkPointD2', 'double,2'),
  ('PointSet', 'itk::PointSet', 'itkPointSetD2S', 'double,2,itk::DefaultStaticMeshTraits< double,2,2,double >'),
  ('PointSet', 'itk::PointSet', 'itkPointSetD2D', 'double,2,itk::DefaultDynamicMeshTraits< double,2,2,double >'),
  ('PointSet', 'itk::PointSet', 'itkPointSetPD22S', 'itk::Point< double,2 >,2,itk::DefaultStaticMeshTraits< double,2,2,double,double >'),
  ('PointSet', 'itk::PointSet', 'itkPointSetVLVF2', 'itk::VariableLengthVector< float >, 2'),
  ('PointSet', 'itk::PointSet', 'itkPointSetVLVD2', 'itk::VariableLengthVector< double >, 2'),
  ('PointSet', 'itk::PointSet', 'itkPointSetVLVUS2', 'itk::VariableLengthVector< unsigned short >, 2'),
  ('PointSet', 'itk::PointSet', 'itkPointSetVLVUC2', 'itk::VariableLengthVector< unsigned char >, 2'),
  ('PolyLineParametricPath', 'itk::PolyLineParametricPath', 'itkPolyLineParametricPath2', '2'),
  ('RGBAPixel', 'itk::RGBAPixel', 'itkRGBAPixelUC', 'unsigned char'),
  ('RGBAPixel', 'itk::RGBAPixel', 'itkRGBAPixelUS', 'unsigned short'),
  ('RGBAPixel', 'itk::RGBAPixel', 'itkRGBAPixelF', 'float'),
  ('RGBPixel', 'itk::RGBPixel', 'itkRGBPixelUC', 'unsigned char'),
  ('RGBPixel', 'itk::RGBPixel', 'itkRGBPixelUS', 'unsigned short'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorD', 'double'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorF', 'float'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorUL', 'unsigned long'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorUS', 'unsigned short'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorUC', 'unsigned char'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorSL', 'signed long'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorSS', 'signed short'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorSC', 'signed char'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorB', 'bool'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorVLVD', 'itk::VariableLengthVector< double >'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorVLVF', 'itk::VariableLengthVector< float >'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorVLVUL', 'itk::VariableLengthVector< unsigned long >'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorVLVUS', 'itk::VariableLengthVector< unsigned short >'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorVLVUC', 'itk::VariableLengthVector< unsigned char >'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorVLVSL', 'itk::VariableLengthVector< signed long >'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorVLVSS', 'itk::VariableLengthVector< signed short >'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorVLVSC', 'itk::VariableLengthVector< signed char >'),
  ('Size', 'itk::Size', 'itkSize2', '2'),
  ('Size', 'itk::Size', 'itkSize1', '1'),
  ('VariableLengthVector', 'itk::VariableLengthVector', 'itkVariableLengthVectorUS', 'unsigned short'),
  ('VariableLengthVector', 'itk::VariableLengthVector', 'itkVariableLengthVectorF', 'float'),
  ('VariableLengthVector', 'itk::VariableLengthVector', 'itkVariableLengthVectorUC', 'unsigned char'),
  ('VariableLengthVector', 'itk::VariableLengthVector', 'itkVariableLengthVectorD', 'double'),
  ('Vector', 'itk::Vector', 'itkVectorUC1', 'unsigned char,1'),
  ('Vector', 'itk::Vector', 'itkVectorF1', 'float,1'),
  ('Vector', 'itk::Vector', 'itkVectorD1', 'double,1'),
  ('Vector', 'itk::Vector', 'itkVectorUS1', 'unsigned short,1'),
  ('Vector', 'itk::Vector', 'itkVectorUC2', 'unsigned char,2'),
  ('Vector', 'itk::Vector', 'itkVectorF2', 'float,2'),
  ('Vector', 'itk::Vector', 'itkVectorD2', 'double,2'),
  ('Vector', 'itk::Vector', 'itkVectorUS2', 'unsigned short,2'),
  ('Vector', 'itk::Vector', 'itkVectorUC6', 'unsigned char,6'),
  ('Vector', 'itk::Vector', 'itkVectorF6', 'float,6'),
  ('Vector', 'itk::Vector', 'itkVectorD6', 'double,6'),
  ('Vector', 'itk::Vector', 'itkVectorUS6', 'unsigned short,6'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUILSNUS2', 'unsigned int,itk::LevelSetNode< unsigned short,2 >'),
  ('vector', 'std::vector', 'itkVectorContainerUILSNUS2_Superclass', 'itk::LevelSetNode< unsigned short,2 > '),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUILSNF2', 'unsigned int,itk::LevelSetNode< float,2 >'),
  ('vector', 'std::vector', 'itkVectorContainerUILSNF2_Superclass', 'itk::LevelSetNode< float,2 > '),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerULVD2', 'unsigned long,itk::Vector< double,2 >'),
  ('vector', 'std::vector', 'itkVectorContainerULVD2_Superclass', 'itk::Vector< double,2 > '),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerULPD2', 'unsigned long,itk::Point< double,2 >'),
  ('vector', 'std::vector', 'itkVectorContainerULPD2_Superclass', 'itk::Point< double,2 > '),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUCO2', 'unsigned char,itk::Offset< 2 >'),
  ('vector', 'std::vector', 'itkVectorContainerUCO2_Superclass', 'itk::Offset< 2 > '),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUICID2', 'unsigned int,itk::ContinuousIndex< double,2 >'),
  ('vector', 'std::vector', 'itkVectorContainerUICID2_Superclass', 'itk::ContinuousIndex< double,2 > '),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerULD', 'unsigned long,double'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUIVUC1', 'unsigned int,itk::Vector< unsigned char,1 >'),
  ('vector', 'std::vector', 'itkVectorContainerUIVUC1_Superclass', 'itk::Vector< unsigned char,1 > '),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerULSUL', 'unsigned long, std::set< unsigned long >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUIDFVUS1', 'unsigned int, itk::SmartPointer< itk::Statistics::DensityFunction< itk::Vector< unsigned short,1 > > >'),
  ('vector', 'std::vector', 'itkVectorContainerUIDFVUS1_Superclass', 'itk::SmartPointer< itk::Statistics::DensityFunction< itk::Vector< unsigned short,1 > > > '),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUIDFVF1', 'unsigned int, itk::SmartPointer< itk::Statistics::DensityFunction< itk::Vector< float,1 > > >'),
  ('vector', 'std::vector', 'itkVectorContainerUIDFVF1_Superclass', 'itk::SmartPointer< itk::Statistics::DensityFunction< itk::Vector< float,1 > > > '),
  ('VectorImage', 'itk::VectorImage', 'itkVectorImageUS2', 'unsigned short,2'),
  ('VectorImage', 'itk::VectorImage', 'itkVectorImageF2', 'float,2'),
  ('VectorImage', 'itk::VectorImage', 'itkVectorImageCF2', 'std::complex< float >,2'),
  ('VectorImage', 'itk::VectorImage', 'itkVectorImageUC2', 'unsigned char,2'),
  ('VectorImage', 'itk::VectorImage', 'itkVectorImageD2', 'double,2'),
  ('VectorImage', 'itk::VectorImage', 'itkVectorImageUL2', 'unsigned long,2'),
  ('VectorImage', 'itk::VectorImage', 'itkVectorImageUI2', 'unsigned int,2'),
)
