depends = ('ITKPyBase', 'otbImages', 'itkCommon', 'itkBase', 'itkVXLNumerics', )
templates = (
  ('RecursiveSeparableImageFilter', 'itk::RecursiveSeparableImageFilter', 'itkRecursiveSeparableImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('RecursiveSeparableImageFilter', 'itk::RecursiveSeparableImageFilter', 'itkRecursiveSeparableImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('RecursiveSeparableImageFilter', 'itk::RecursiveSeparableImageFilter', 'itkRecursiveSeparableImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('RecursiveSeparableImageFilter', 'itk::RecursiveSeparableImageFilter', 'itkRecursiveSeparableImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SymmetricSecondRankTensor', 'itk::SymmetricSecondRankTensor', 'itkSymmetricSecondRankTensorD2', 'double, 2'),
  ('Image', 'itk::Image', 'itkImageSSRTD22', 'itk::SymmetricSecondRankTensor< double, 2 >, 2'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceISSRTD22', 'itk::Image< itk::SymmetricSecondRankTensor< double, 2 >, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2ISSRTD22', 'otb::Image< unsigned short,2 >, itk::Image< itk::SymmetricSecondRankTensor< double, 2 >, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISSRTD22IUS2', 'itk::Image< itk::SymmetricSecondRankTensor< double, 2 >, 2 >, otb::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUS2ISSRTD22', 'itk::Image< unsigned short,2 >, itk::Image< itk::SymmetricSecondRankTensor< double, 2 >, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISSRTD22IIUS2', 'itk::Image< itk::SymmetricSecondRankTensor< double, 2 >, 2 >, itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2ISSRTD22', 'otb::Image< float,2 >, itk::Image< itk::SymmetricSecondRankTensor< double, 2 >, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISSRTD22IF2', 'itk::Image< itk::SymmetricSecondRankTensor< double, 2 >, 2 >, otb::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIF2ISSRTD22', 'itk::Image< float,2 >, itk::Image< itk::SymmetricSecondRankTensor< double, 2 >, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISSRTD22IIF2', 'itk::Image< itk::SymmetricSecondRankTensor< double, 2 >, 2 >, itk::Image< float,2 >'),
  ('HessianRecursiveGaussianImageFilter', 'itk::HessianRecursiveGaussianImageFilter', 'itkHessianRecursiveGaussianImageFilterIUS2', 'otb::Image< unsigned short,2 >'),
  ('HessianRecursiveGaussianImageFilter', 'itk::HessianRecursiveGaussianImageFilter', 'itkHessianRecursiveGaussianImageFilterIIUS2', 'itk::Image< unsigned short,2 >'),
  ('HessianRecursiveGaussianImageFilter', 'itk::HessianRecursiveGaussianImageFilter', 'itkHessianRecursiveGaussianImageFilterIF2', 'otb::Image< float,2 >'),
  ('HessianRecursiveGaussianImageFilter', 'itk::HessianRecursiveGaussianImageFilter', 'itkHessianRecursiveGaussianImageFilterIIF2', 'itk::Image< float,2 >'),
  ('BinomialBlurImageFilter', 'itk::BinomialBlurImageFilter', 'itkBinomialBlurImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('BinomialBlurImageFilter', 'itk::BinomialBlurImageFilter', 'itkBinomialBlurImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BinomialBlurImageFilter', 'itk::BinomialBlurImageFilter', 'itkBinomialBlurImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('BinomialBlurImageFilter', 'itk::BinomialBlurImageFilter', 'itkBinomialBlurImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('DerivativeImageFilter', 'itk::DerivativeImageFilter', 'itkDerivativeImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('DerivativeImageFilter', 'itk::DerivativeImageFilter', 'itkDerivativeImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('DiscreteGaussianImageFilter', 'itk::DiscreteGaussianImageFilter', 'itkDiscreteGaussianImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('DiscreteGaussianImageFilter', 'itk::DiscreteGaussianImageFilter', 'itkDiscreteGaussianImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('DiscreteGaussianImageFilter', 'itk::DiscreteGaussianImageFilter', 'itkDiscreteGaussianImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('DiscreteGaussianImageFilter', 'itk::DiscreteGaussianImageFilter', 'itkDiscreteGaussianImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('EdgePotentialImageFilter', 'itk::EdgePotentialImageFilter', 'itkEdgePotentialImageFilterICVF22IF2', 'otb::Image< itk::CovariantVector< float,2 >,2 >, otb::Image< float,2 >'),
  ('EdgePotentialImageFilter', 'itk::EdgePotentialImageFilter', 'itkEdgePotentialImageFilterIICVF22IIF2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< float,2 >'),
  ('GradientImageFilter', 'itk::GradientImageFilter', 'itkGradientImageFilterIUS2FF', 'otb::Image< unsigned short,2 >,float,float'),
  ('GradientImageFilter', 'itk::GradientImageFilter', 'itkGradientImageFilterIF2FF', 'otb::Image< float,2 >,float,float'),
  ('GradientMagnitudeImageFilter', 'itk::GradientMagnitudeImageFilter', 'itkGradientMagnitudeImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('GradientMagnitudeImageFilter', 'itk::GradientMagnitudeImageFilter', 'itkGradientMagnitudeImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('GradientMagnitudeImageFilter', 'itk::GradientMagnitudeImageFilter', 'itkGradientMagnitudeImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('GradientMagnitudeImageFilter', 'itk::GradientMagnitudeImageFilter', 'itkGradientMagnitudeImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GradientMagnitudeImageFilter', 'itk::GradientMagnitudeImageFilter', 'itkGradientMagnitudeImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('GradientMagnitudeImageFilter', 'itk::GradientMagnitudeImageFilter', 'itkGradientMagnitudeImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('GradientMagnitudeRecursiveGaussianImageFilter', 'itk::GradientMagnitudeRecursiveGaussianImageFilter', 'itkGradientMagnitudeRecursiveGaussianImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('GradientMagnitudeRecursiveGaussianImageFilter', 'itk::GradientMagnitudeRecursiveGaussianImageFilter', 'itkGradientMagnitudeRecursiveGaussianImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('GradientMagnitudeRecursiveGaussianImageFilter', 'itk::GradientMagnitudeRecursiveGaussianImageFilter', 'itkGradientMagnitudeRecursiveGaussianImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('GradientMagnitudeRecursiveGaussianImageFilter', 'itk::GradientMagnitudeRecursiveGaussianImageFilter', 'itkGradientMagnitudeRecursiveGaussianImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GradientRecursiveGaussianImageFilter', 'itk::GradientRecursiveGaussianImageFilter', 'itkGradientRecursiveGaussianImageFilterIUS2ICVF22', 'otb::Image< unsigned short,2 >, otb::Image< itk::CovariantVector< float,2 >,2 >'),
  ('GradientRecursiveGaussianImageFilter', 'itk::GradientRecursiveGaussianImageFilter', 'itkGradientRecursiveGaussianImageFilterIIUS2IICVF22', 'itk::Image< unsigned short,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('GradientRecursiveGaussianImageFilter', 'itk::GradientRecursiveGaussianImageFilter', 'itkGradientRecursiveGaussianImageFilterIF2ICVF22', 'otb::Image< float,2 >, otb::Image< itk::CovariantVector< float,2 >,2 >'),
  ('GradientRecursiveGaussianImageFilter', 'itk::GradientRecursiveGaussianImageFilter', 'itkGradientRecursiveGaussianImageFilterIIF2IICVF22', 'itk::Image< float,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('GradientToMagnitudeImageFilter', 'itk::GradientToMagnitudeImageFilter', 'itkGradientToMagnitudeImageFilterICVF22IUS2', 'otb::Image< itk::CovariantVector< float,2 >,2 >, otb::Image< unsigned short,2 >'),
  ('GradientToMagnitudeImageFilter', 'itk::GradientToMagnitudeImageFilter', 'itkGradientToMagnitudeImageFilterIICVF22IIUS2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< unsigned short,2 >'),
  ('GradientToMagnitudeImageFilter', 'itk::GradientToMagnitudeImageFilter', 'itkGradientToMagnitudeImageFilterICVF22IF2', 'otb::Image< itk::CovariantVector< float,2 >,2 >, otb::Image< float,2 >'),
  ('GradientToMagnitudeImageFilter', 'itk::GradientToMagnitudeImageFilter', 'itkGradientToMagnitudeImageFilterIICVF22IIF2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< float,2 >'),
  ('GradientVectorFlowImageFilter', 'itk::GradientVectorFlowImageFilter', 'itkGradientVectorFlowImageFilterIVF22IVF22F', 'otb::Image< itk::Vector< float,2 >,2 >, otb::Image< itk::Vector< float,2 >,2 >, float'),
  ('LaplacianImageFilter', 'itk::LaplacianImageFilter', 'itkLaplacianImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('LaplacianImageFilter', 'itk::LaplacianImageFilter', 'itkLaplacianImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('LaplacianRecursiveGaussianImageFilter', 'itk::LaplacianRecursiveGaussianImageFilter', 'itkLaplacianRecursiveGaussianImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('LaplacianRecursiveGaussianImageFilter', 'itk::LaplacianRecursiveGaussianImageFilter', 'itkLaplacianRecursiveGaussianImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('LaplacianRecursiveGaussianImageFilter', 'itk::LaplacianRecursiveGaussianImageFilter', 'itkLaplacianRecursiveGaussianImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('LaplacianRecursiveGaussianImageFilter', 'itk::LaplacianRecursiveGaussianImageFilter', 'itkLaplacianRecursiveGaussianImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('LaplacianSharpeningImageFilter', 'itk::LaplacianSharpeningImageFilter', 'itkLaplacianSharpeningImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('LaplacianSharpeningImageFilter', 'itk::LaplacianSharpeningImageFilter', 'itkLaplacianSharpeningImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('LaplacianSharpeningImageFilter', 'itk::LaplacianSharpeningImageFilter', 'itkLaplacianSharpeningImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('LaplacianSharpeningImageFilter', 'itk::LaplacianSharpeningImageFilter', 'itkLaplacianSharpeningImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('RecursiveGaussianImageFilter', 'itk::RecursiveGaussianImageFilter', 'itkRecursiveGaussianImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('RecursiveGaussianImageFilter', 'itk::RecursiveGaussianImageFilter', 'itkRecursiveGaussianImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('RecursiveGaussianImageFilter', 'itk::RecursiveGaussianImageFilter', 'itkRecursiveGaussianImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('RecursiveGaussianImageFilter', 'itk::RecursiveGaussianImageFilter', 'itkRecursiveGaussianImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmoothingRecursiveGaussianImageFilter', 'itk::SmoothingRecursiveGaussianImageFilter', 'itkSmoothingRecursiveGaussianImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('SmoothingRecursiveGaussianImageFilter', 'itk::SmoothingRecursiveGaussianImageFilter', 'itkSmoothingRecursiveGaussianImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmoothingRecursiveGaussianImageFilter', 'itk::SmoothingRecursiveGaussianImageFilter', 'itkSmoothingRecursiveGaussianImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('SmoothingRecursiveGaussianImageFilter', 'itk::SmoothingRecursiveGaussianImageFilter', 'itkSmoothingRecursiveGaussianImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
)
