depends = ('ITKPyBase', 'otbImages', 'itkTransforms', 'itkCommon', 'itkBase', 'itkVXLNumerics', )
templates = (
  ('ImageIOBase', 'itk::ImageIOBase', 'itkImageIOBase'),
  ('IPLCommonImageIO', 'itk::IPLCommonImageIO', 'itkIPLCommonImageIO'),
  ('TransformFileReader', 'itk::TransformFileReader', 'itkTransformFileReader'),
  ('TransformFileWriter', 'itk::TransformFileWriter', 'itkTransformFileWriter'),
  ('ImageIORegion', 'itk::ImageIORegion', 'itkImageIORegion'),
  ('RawImageIO', 'itk::RawImageIO', 'itkRawImageIOF2', 'float,2'),
  ('BioRadImageIO', 'itk::BioRadImageIO', 'itkBioRadImageIO'),
  ('BioRadImageIOFactory', 'itk::BioRadImageIOFactory', 'itkBioRadImageIOFactory'),
  ('GE4ImageIO', 'itk::GE4ImageIO', 'itkGE4ImageIO'),
  ('GE4ImageIOFactory', 'itk::GE4ImageIOFactory', 'itkGE4ImageIOFactory'),
  ('GE5ImageIO', 'itk::GE5ImageIO', 'itkGE5ImageIO'),
  ('GE5ImageIOFactory', 'itk::GE5ImageIOFactory', 'itkGE5ImageIOFactory'),
  ('GEAdwImageIO', 'itk::GEAdwImageIO', 'itkGEAdwImageIO'),
  ('GEAdwImageIOFactory', 'itk::GEAdwImageIOFactory', 'itkGEAdwImageIOFactory'),
  ('SiemensVisionImageIO', 'itk::SiemensVisionImageIO', 'itkSiemensVisionImageIO'),
  ('SiemensVisionImageIOFactory', 'itk::SiemensVisionImageIOFactory', 'itkSiemensVisionImageIOFactory'),
  ('StimulateImageIO', 'itk::StimulateImageIO', 'itkStimulateImageIO'),
  ('StimulateImageIOFactory', 'itk::StimulateImageIOFactory', 'itkStimulateImageIOFactory'),
  ('VTKImageIO', 'itk::VTKImageIO', 'itkVTKImageIO'),
  ('VTKImageIOFactory', 'itk::VTKImageIOFactory', 'itkVTKImageIOFactory'),
  ('ArchetypeSeriesFileNames', 'itk::ArchetypeSeriesFileNames', 'itkArchetypeSeriesFileNames'),
  ('NumericSeriesFileNames', 'itk::NumericSeriesFileNames', 'itkNumericSeriesFileNames'),
  ('RegularExpressionSeriesFileNames', 'itk::RegularExpressionSeriesFileNames', 'itkRegularExpressionSeriesFileNames'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUI2', 'otb::Image< unsigned int,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIIUI2', 'itk::Image< unsigned int,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUC2', 'otb::Image< unsigned char,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIIUC2', 'itk::Image< unsigned char,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderID2', 'otb::Image< double,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIID2', 'itk::Image< double,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIRGBUS2', 'otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIRGBAUS2', 'otb::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF22', 'otb::Image< itk::Vector< float,2 >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVF22', 'otb::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUS2', 'otb::Image< unsigned short,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIIUS2', 'itk::Image< unsigned short,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIF2', 'otb::Image< float,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIIF2', 'itk::Image< float,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICF2', 'otb::Image< std::complex< float >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIICF2', 'itk::Image< std::complex< float >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUS2', 'otb::Image< unsigned short,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIUS2', 'otb::VectorImage< unsigned short,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIF2', 'otb::Image< float,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIF2', 'otb::VectorImage< float,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICF2', 'otb::Image< std::complex< float >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVICF2', 'otb::VectorImage< std::complex< float >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUC2', 'otb::Image< unsigned char,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIUC2', 'otb::VectorImage< unsigned char,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderID2', 'otb::Image< double,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVID2', 'otb::VectorImage< double,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUI2', 'otb::Image< unsigned int,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIUI2', 'otb::VectorImage< unsigned int,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIUI2', 'otb::Image< unsigned int,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIIUI2', 'itk::Image< unsigned int,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIUC2', 'otb::Image< unsigned char,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIIUC2', 'itk::Image< unsigned char,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterID2', 'otb::Image< double,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIID2', 'itk::Image< double,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIUS2', 'otb::Image< unsigned short,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIIUS2', 'itk::Image< unsigned short,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIRGBUC2', 'otb::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIIRGBUC2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIRGBUS2', 'otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIRGBAUS2', 'otb::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF22', 'otb::Image< itk::Vector< float,2 >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVF22', 'otb::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIF2', 'otb::Image< float,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIIF2', 'itk::Image< float,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICF2', 'otb::Image< std::complex< float >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIICF2', 'itk::Image< std::complex< float >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIUS2', 'otb::VectorImage< unsigned short,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIF2', 'otb::VectorImage< float,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVICF2', 'otb::VectorImage< std::complex< float >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIUC2', 'otb::VectorImage< unsigned char,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVID2', 'otb::VectorImage< double,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIUI2', 'otb::VectorImage< unsigned int,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIUC2', 'otb::Image< unsigned char,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIIUC2', 'itk::Image< unsigned char,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIRGBUS2', 'otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIRGBAUS2', 'otb::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVF22', 'otb::Image< itk::Vector< float,2 >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVF22', 'otb::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIUS2', 'otb::Image< unsigned short,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIIUS2', 'itk::Image< unsigned short,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIF2', 'otb::Image< float,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIIF2', 'itk::Image< float,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICF2', 'otb::Image< std::complex< float >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIICF2', 'itk::Image< std::complex< float >,2 >'),
)
