depends = ('ITKPyBase', 'otbImages', 'itkNumerics', 'itkBase', 'itkCommon', 'itkVXLNumerics', )
templates = (
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIUS2', 'otb::Image< unsigned short,2 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIIUS2', 'itk::Image< unsigned short,2 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIF2', 'otb::Image< float,2 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIIF2', 'itk::Image< float,2 >'),
  ('HistogramMatchingImageFilter', 'itk::HistogramMatchingImageFilter', 'itkHistogramMatchingImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('HistogramMatchingImageFilter', 'itk::HistogramMatchingImageFilter', 'itkHistogramMatchingImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIUS2IUC2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned char,2 >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIIUS2IIUC2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIUS2IF2', 'otb::Image< unsigned short,2 >, otb::Image< float,2 >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIIUS2IIF2', 'itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIF2IUC2', 'otb::Image< float,2 >, otb::Image< unsigned char,2 >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIIF2IIUC2', 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIF2IUS2', 'otb::Image< float,2 >, otb::Image< unsigned short,2 >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIIF2IIUS2', 'itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('InvertIntensityImageFilter', 'itk::InvertIntensityImageFilter', 'itkInvertIntensityImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('InvertIntensityImageFilter', 'itk::InvertIntensityImageFilter', 'itkInvertIntensityImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('InvertIntensityImageFilter', 'itk::InvertIntensityImageFilter', 'itkInvertIntensityImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('InvertIntensityImageFilter', 'itk::InvertIntensityImageFilter', 'itkInvertIntensityImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIRGBUS2IUS2IRGBUS2', 'otb::Image< itk::RGBPixel< unsigned short >,2 >, otb::Image< unsigned short,2 >, otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIIRGBUS2IIUS2IIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIRGBAUS2IUS2IRGBAUS2', 'otb::Image< itk::RGBAPixel< unsigned short >,2 >, otb::Image< unsigned short,2 >, otb::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIIRGBAUS2IIUS2IIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIVF22IUS2IVF22', 'otb::Image< itk::Vector< float,2 >,2 >, otb::Image< unsigned short,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIIVF22IIUS2IIVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterICVF22IUS2ICVF22', 'otb::Image< itk::CovariantVector< float,2 >,2 >, otb::Image< unsigned short,2 >, otb::Image< itk::CovariantVector< float,2 >,2 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIICVF22IIUS2IICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIUS2IUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIIUS2IIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIF2IUS2IF2', 'otb::Image< float,2 >, otb::Image< unsigned short,2 >, otb::Image< float,2 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIIF2IIUS2IIF2', 'itk::Image< float,2 >, itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterICF2IUS2ICF2', 'otb::Image< std::complex< float >,2 >, otb::Image< unsigned short,2 >, otb::Image< std::complex< float >,2 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIICF2IIUS2IICF2', 'itk::Image< std::complex< float >,2 >, itk::Image< unsigned short,2 >, itk::Image< std::complex< float >,2 >'),
  ('MaskNegatedInput', 'itk::Functor::MaskNegatedInput', 'itkMaskNegatedInputFUSF', 'float, unsigned short ,float'),
  ('MaskNegatedInput', 'itk::Functor::MaskNegatedInput', 'itkMaskNegatedInputUSUSUS', 'unsigned short, unsigned short ,unsigned short'),
  ('MaskNegatedInput', 'itk::Functor::MaskNegatedInput', 'itkMaskNegatedInputRGBUSUSRGBUS', 'itk::RGBPixel< unsigned short >, unsigned short ,itk::RGBPixel< unsigned short >'),
  ('MaskNegatedInput', 'itk::Functor::MaskNegatedInput', 'itkMaskNegatedInputRGBAUSUSRGBAUS', 'itk::RGBAPixel< unsigned short >, unsigned short ,itk::RGBAPixel< unsigned short >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIF2IUS2IF2MaskNegatedInput', 'otb::Image< float,2 > , otb::Image< unsigned short,2 > ,otb::Image< float,2 >, itk::Functor::MaskNegatedInput< float, unsigned short ,float >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIIF2IIUS2IIF2MaskNegatedInput', 'itk::Image< float,2 >, itk::Image< unsigned short,2 > ,itk::Image< float,2 >, itk::Functor::MaskNegatedInput< float, unsigned short ,float >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUS2IUS2IUS2MaskNegatedInput', 'otb::Image< unsigned short,2 > , otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, itk::Functor::MaskNegatedInput< unsigned short, unsigned short ,unsigned short >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIIUS2IIUS2IIUS2MaskNegatedInput', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > ,itk::Image< unsigned short,2 >, itk::Functor::MaskNegatedInput< unsigned short, unsigned short ,unsigned short >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIRGBUS2IUS2IRGBUS2MaskNegatedInput', 'otb::Image< itk::RGBPixel< unsigned short >,2 > , otb::Image< unsigned short,2 > ,otb::Image< itk::RGBPixel< unsigned short >,2 >, itk::Functor::MaskNegatedInput< itk::RGBPixel< unsigned short >, unsigned short ,itk::RGBPixel< unsigned short > >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIIRGBUS2IIUS2IIRGBUS2MaskNegatedInput', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< unsigned short,2 > ,itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Functor::MaskNegatedInput< itk::RGBPixel< unsigned short >, unsigned short ,itk::RGBPixel< unsigned short > >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIRGBAUS2IUS2IRGBAUS2MaskNegatedInput', 'otb::Image< itk::RGBAPixel< unsigned short >,2 > , otb::Image< unsigned short,2 > ,otb::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Functor::MaskNegatedInput< itk::RGBAPixel< unsigned short >, unsigned short ,itk::RGBAPixel< unsigned short > >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIIRGBAUS2IIUS2IIRGBAUS2MaskNegatedInput', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Image< unsigned short,2 > ,itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Functor::MaskNegatedInput< itk::RGBAPixel< unsigned short >, unsigned short ,itk::RGBAPixel< unsigned short > >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIF2IUS2IF2', 'otb::Image< float,2 >, otb::Image< unsigned short,2 >, otb::Image< float,2 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIIF2IIUS2IIF2', 'itk::Image< float,2 >, itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIUS2IUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIIUS2IIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIRGBUS2IUS2IRGBUS2', 'otb::Image< itk::RGBPixel< unsigned short >,2 >, otb::Image< unsigned short,2 >, otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIIRGBUS2IIUS2IIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIRGBAUS2IUS2IRGBAUS2', 'otb::Image< itk::RGBAPixel< unsigned short >,2 >, otb::Image< unsigned short,2 >, otb::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIIRGBAUS2IIUS2IIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('NormalizeImageFilter', 'itk::NormalizeImageFilter', 'itkNormalizeImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('NormalizeImageFilter', 'itk::NormalizeImageFilter', 'itkNormalizeImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('NormalizeImageFilter', 'itk::NormalizeImageFilter', 'itkNormalizeImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('NormalizeImageFilter', 'itk::NormalizeImageFilter', 'itkNormalizeImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUS2ID2', 'otb::Image< unsigned short,2 >, otb::Image< double,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIIUS2IID2', 'itk::Image< unsigned short,2 >, itk::Image< double,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUS2IUC2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned char,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIIUS2IIUC2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUS2IF2', 'otb::Image< unsigned short,2 >, otb::Image< float,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIIUS2IIF2', 'itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIF2ID2', 'otb::Image< float,2 >, otb::Image< double,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIIF2IID2', 'itk::Image< float,2 >, itk::Image< double,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIF2IUC2', 'otb::Image< float,2 >, otb::Image< unsigned char,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIIF2IIUC2', 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIF2IUS2', 'otb::Image< float,2 >, otb::Image< unsigned short,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIIF2IIUS2', 'itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIF2ID2', 'otb::Image< float,2 >, otb::Image< double,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIIF2IID2', 'itk::Image< float,2 >, itk::Image< double,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIF2IUC2', 'otb::Image< float,2 >, otb::Image< unsigned char,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIIF2IIUC2', 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIF2IUS2', 'otb::Image< float,2 >, otb::Image< unsigned short,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIIF2IIUS2', 'itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterID2ID2', 'otb::Image< double,2 >, otb::Image< double,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIID2IID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterID2IUC2', 'otb::Image< double,2 >, otb::Image< unsigned char,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIID2IIUC2', 'itk::Image< double,2 >, itk::Image< unsigned char,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterID2IUS2', 'otb::Image< double,2 >, otb::Image< unsigned short,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIID2IIUS2', 'itk::Image< double,2 >, itk::Image< unsigned short,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterID2IF2', 'otb::Image< double,2 >, otb::Image< float,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIID2IIF2', 'itk::Image< double,2 >, itk::Image< float,2 >'),
  ('ShiftScaleImageFilter', 'itk::ShiftScaleImageFilter', 'itkShiftScaleImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('ShiftScaleImageFilter', 'itk::ShiftScaleImageFilter', 'itkShiftScaleImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ShiftScaleImageFilter', 'itk::ShiftScaleImageFilter', 'itkShiftScaleImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('ShiftScaleImageFilter', 'itk::ShiftScaleImageFilter', 'itkShiftScaleImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('PerBandVectorImageFilter', 'otb::PerBandVectorImageFilter', 'otbPerBandVectorImageFilterVIF2VIF2ShiftScaleImageFilterF2F2', 'otb::VectorImage< float,2 >,otb::VectorImage< float,2 >,itk::ShiftScaleImageFilter< otb::Image< float,2 > ,otb::Image< float,2 > >'),
  ('PerBandVectorImageFilter', 'otb::PerBandVectorImageFilter', 'otbPerBandVectorImageFilterVIUS2VIUS2ShiftScaleImageFilterUS2US2', 'otb::VectorImage< unsigned short,2 >,otb::VectorImage< unsigned short,2 >,itk::ShiftScaleImageFilter< otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 > >'),
  ('PerBandVectorImageFilter', 'otb::PerBandVectorImageFilter', 'otbPerBandVectorImageFilterVIF2VIF2ShiftScaleImageFilterF2F2', 'otb::VectorImage< float,2 >,otb::VectorImage< float,2 >,itk::ShiftScaleImageFilter< otb::Image< float,2 > ,otb::Image< float,2 > >'),
  ('PerBandVectorImageFilter', 'otb::PerBandVectorImageFilter', 'otbPerBandVectorImageFilterVIUS2VIUS2ShiftScaleImageFilterUS2US2', 'otb::VectorImage< unsigned short,2 >,otb::VectorImage< unsigned short,2 >,itk::ShiftScaleImageFilter< otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 > >'),
  ('SigmoidImageFilter', 'itk::SigmoidImageFilter', 'itkSigmoidImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('SigmoidImageFilter', 'itk::SigmoidImageFilter', 'itkSigmoidImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SigmoidImageFilter', 'itk::SigmoidImageFilter', 'itkSigmoidImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('SigmoidImageFilter', 'itk::SigmoidImageFilter', 'itkSigmoidImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
)
