depends = ('ITKPyBase', 'itkCommon', 'otbImages', 'itkNumerics', 'itkBase', 'itkVXLNumerics', )
templates = (
  ('AnisotropicFourthOrderLevelSetImageFilter', 'itk::AnisotropicFourthOrderLevelSetImageFilter', 'itkAnisotropicFourthOrderLevelSetImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('AnisotropicFourthOrderLevelSetImageFilter', 'itk::AnisotropicFourthOrderLevelSetImageFilter', 'itkAnisotropicFourthOrderLevelSetImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('AntiAliasBinaryImageFilter', 'itk::AntiAliasBinaryImageFilter', 'itkAntiAliasBinaryImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('AntiAliasBinaryImageFilter', 'itk::AntiAliasBinaryImageFilter', 'itkAntiAliasBinaryImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('CannySegmentationLevelSetImageFilter', 'itk::CannySegmentationLevelSetImageFilter', 'itkCannySegmentationLevelSetImageFilterIF2IF2F', 'otb::Image< float,2 >,otb::Image< float,2 >,float'),
  ('CollidingFrontsImageFilter', 'itk::CollidingFrontsImageFilter', 'itkCollidingFrontsImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('CollidingFrontsImageFilter', 'itk::CollidingFrontsImageFilter', 'itkCollidingFrontsImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('CurvesLevelSetFunction', 'itk::CurvesLevelSetFunction', 'itkCurvesLevelSetFunctionIIF2IIF2', 'itk::Image< float,2 >,itk::Image< float,2 >'),
  ('CurvesLevelSetImageFilter', 'itk::CurvesLevelSetImageFilter', 'itkCurvesLevelSetImageFilterIIF2IIF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('FastMarchingExtensionImageFilter', 'itk::FastMarchingExtensionImageFilter', 'itkFastMarchingExtensionImageFilterIF2UC1IF2', 'otb::Image< float,2 >, unsigned char, 1, otb::Image< float,2 >'),
  ('FastMarchingImageFilter', 'itk::FastMarchingImageFilter', 'itkFastMarchingImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('FastMarchingImageFilter', 'itk::FastMarchingImageFilter', 'itkFastMarchingImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('FastMarchingUpwindGradientImageFilter', 'itk::FastMarchingUpwindGradientImageFilter', 'itkFastMarchingUpwindGradientImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('FastMarchingUpwindGradientImageFilter', 'itk::FastMarchingUpwindGradientImageFilter', 'itkFastMarchingUpwindGradientImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GeodesicActiveContourLevelSetImageFilter', 'itk::GeodesicActiveContourLevelSetImageFilter', 'itkGeodesicActiveContourLevelSetImageFilterIF2IF2F', 'otb::Image< float,2 >,otb::Image< float,2 >,float'),
  ('GeodesicActiveContourLevelSetImageFilter', 'itk::GeodesicActiveContourLevelSetImageFilter', 'itkGeodesicActiveContourLevelSetImageFilterIIF2IIF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('GeodesicActiveContourShapePriorLevelSetImageFilter', 'itk::GeodesicActiveContourShapePriorLevelSetImageFilter', 'itkGeodesicActiveContourShapePriorLevelSetImageFilterIF2IF2F', 'otb::Image< float,2 >,otb::Image< float,2 >,float'),
  ('IsotropicFourthOrderLevelSetImageFilter', 'itk::IsotropicFourthOrderLevelSetImageFilter', 'itkIsotropicFourthOrderLevelSetImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('IsotropicFourthOrderLevelSetImageFilter', 'itk::IsotropicFourthOrderLevelSetImageFilter', 'itkIsotropicFourthOrderLevelSetImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('LaplacianSegmentationLevelSetImageFilter', 'itk::LaplacianSegmentationLevelSetImageFilter', 'itkLaplacianSegmentationLevelSetImageFilterIF2IF2F', 'otb::Image< float,2 >,otb::Image< float,2 >,float'),
  ('LevelSetFunction', 'itk::LevelSetFunction', 'itkLevelSetFunctionIF2', 'otb::Image< float,2 >'),
  ('LevelSetFunction', 'itk::LevelSetFunction', 'itkLevelSetFunctionIIF2', 'itk::Image< float,2 >'),
  ('NarrowBandImageFilterBase', 'itk::NarrowBandImageFilterBase', 'itkNarrowBandImageFilterBaseIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('NarrowBandImageFilterBase', 'itk::NarrowBandImageFilterBase', 'itkNarrowBandImageFilterBaseIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('NarrowBandImageFilterBase', 'itk::NarrowBandImageFilterBase', 'itkNarrowBandImageFilterBaseIUS2IIUS2', 'otb::Image< unsigned short,2 >,itk::Image< unsigned short,2 >'),
  ('NarrowBandImageFilterBase', 'itk::NarrowBandImageFilterBase', 'itkNarrowBandImageFilterBaseIF2IIF2', 'otb::Image< float,2 >,itk::Image< float,2 >'),
  ('NarrowBandLevelSetImageFilter', 'itk::NarrowBandLevelSetImageFilter', 'itkNarrowBandLevelSetImageFilterIF2IF2F', 'otb::Image< float,2 >,otb::Image< float,2 >,float'),
  ('NarrowBandThresholdSegmentationLevelSetImageFilter', 'itk::NarrowBandThresholdSegmentationLevelSetImageFilter', 'itkNarrowBandThresholdSegmentationLevelSetImageFilterIF2IF2F', 'otb::Image< float,2 >,otb::Image< float,2 >,float'),
  ('ParallelSparseFieldLevelSetImageFilter', 'itk::ParallelSparseFieldLevelSetImageFilter', 'itkParallelSparseFieldLevelSetImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('ParallelSparseFieldLevelSetImageFilter', 'itk::ParallelSparseFieldLevelSetImageFilter', 'itkParallelSparseFieldLevelSetImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ParallelSparseFieldLevelSetNode', 'itk::ParallelSparseFieldLevelSetNode', 'itkParallelSparseFieldLevelSetNodeI2', 'itk::Index< 2 >'),
  ('SparseFieldLayer', 'itk::SparseFieldLayer', 'itkSparseFieldLayerPSFLSNI2', 'itk::ParallelSparseFieldLevelSetNode< itk::Index< 2 > >'),
  ('SegmentationLevelSetFunction', 'itk::SegmentationLevelSetFunction', 'itkSegmentationLevelSetFunctionIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('SegmentationLevelSetFunction', 'itk::SegmentationLevelSetFunction', 'itkSegmentationLevelSetFunctionIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SegmentationLevelSetImageFilter', 'itk::SegmentationLevelSetImageFilter', 'itkSegmentationLevelSetImageFilterIF2IF2F', 'otb::Image< float,2 >,otb::Image< float,2 >,float'),
  ('ShapeDetectionLevelSetImageFilter', 'itk::ShapeDetectionLevelSetImageFilter', 'itkShapeDetectionLevelSetImageFilterIF2IF2F', 'otb::Image< float,2 >,otb::Image< float,2 >,float'),
  ('ShapePriorSegmentationLevelSetImageFilter', 'itk::ShapePriorSegmentationLevelSetImageFilter', 'itkShapePriorSegmentationLevelSetImageFilterIF2IF2F', 'otb::Image< float,2 >,otb::Image< float,2 >,float'),
  ('NormalBandNode', 'itk::NormalBandNode', 'itkNormalBandNodeIF2', 'otb::Image< float,2 >'),
  ('NormalBandNode', 'itk::NormalBandNode', 'itkNormalBandNodeIIF2', 'itk::Image< float,2 >'),
  ('Image', 'itk::Image', 'itkImageNBNIF22', 'itk::NormalBandNode< otb::Image< float,2 > >*, 2'),
  ('Image', 'itk::Image', 'itkImageNBNIIF22', 'itk::NormalBandNode< itk::Image< float,2 > >*, 2'),
  ('SparseFieldFourthOrderLevelSetImageFilter', 'itk::SparseFieldFourthOrderLevelSetImageFilter', 'itkSparseFieldFourthOrderLevelSetImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('SparseFieldFourthOrderLevelSetImageFilter', 'itk::SparseFieldFourthOrderLevelSetImageFilter', 'itkSparseFieldFourthOrderLevelSetImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SparseImage', 'itk::SparseImage', 'itkSparseImageNBNIF22', 'itk::NormalBandNode< otb::Image< float,2 > >, 2'),
  ('SparseImage', 'itk::SparseImage', 'itkSparseImageNBNIIF22', 'itk::NormalBandNode< itk::Image< float,2 > >, 2'),
  ('LevelSetFunctionWithRefitTerm', 'itk::LevelSetFunctionWithRefitTerm', 'itkLevelSetFunctionWithRefitTermIF2SINBNIF22', 'otb::Image< float,2 >, itk::SparseImage< itk::NormalBandNode< otb::Image< float,2 > >, 2 >'),
  ('LevelSetFunctionWithRefitTerm', 'itk::LevelSetFunctionWithRefitTerm', 'itkLevelSetFunctionWithRefitTermIIF2SINBNIIF22', 'itk::Image< float,2 >, itk::SparseImage< itk::NormalBandNode< itk::Image< float,2 > >, 2 >'),
  ('SparseFieldLayer', 'itk::SparseFieldLayer', 'itkSparseFieldLayerNBNIF2', 'itk::NormalBandNode< otb::Image< float,2 > >'),
  ('SparseFieldLayer', 'itk::SparseFieldLayer', 'itkSparseFieldLayerNBNIIF2', 'itk::NormalBandNode< itk::Image< float,2 > >'),
  ('SparseFieldLevelSetImageFilter', 'itk::SparseFieldLevelSetImageFilter', 'itkSparseFieldLevelSetImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('SparseFieldLevelSetImageFilter', 'itk::SparseFieldLevelSetImageFilter', 'itkSparseFieldLevelSetImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SparseFieldLevelSetNode', 'itk::SparseFieldLevelSetNode', 'itkSparseFieldLevelSetNodeI2', 'itk::Index< 2 >'),
  ('SparseFieldLayer', 'itk::SparseFieldLayer', 'itkSparseFieldLayerSFLSNI2', 'itk::SparseFieldLevelSetNode< itk::Index< 2 > >'),
  ('SpatialFunction', 'itk::SpatialFunction', 'itkSpatialFunctionD2PD2', 'double,2,itk::Point< double,2 >'),
  ('ThresholdSegmentationLevelSetImageFilter', 'itk::ThresholdSegmentationLevelSetImageFilter', 'itkThresholdSegmentationLevelSetImageFilterIF2IF2F', 'otb::Image< float,2 >,otb::Image< float,2 >,float'),
)
