depends = ('ITKPyBase', 'otbImages', 'itkCalculators', 'itkTransforms', 'itkCommon', 'itkBase', 'itkVXLNumerics', )
templates = (
  ('SpatialObjectProperty', 'itk::SpatialObjectProperty', 'itkSpatialObjectPropertyF', 'float'),
  ('AffineGeometryFrame', 'itk::AffineGeometryFrame', 'itkAffineGeometryFrameD2', 'double,2'),
  ('SpatialObjectPoint', 'itk::SpatialObjectPoint', 'itkSpatialObjectPoint2', '2'),
  ('vector', 'std::vector', 'vectoritkSpatialObjectPoint2', 'itk::SpatialObjectPoint< 2  >'),
  ('ContourSpatialObjectPoint', 'itk::ContourSpatialObjectPoint', 'itkContourSpatialObjectPoint2', '2'),
  ('vector', 'std::vector', 'vectoritkContourSpatialObjectPoint2', 'itk::ContourSpatialObjectPoint< 2  >'),
  ('PointBasedSpatialObject', 'itk::PointBasedSpatialObject', 'itkPointBasedSpatialObject2', '2'),
  ('ImageSpatialObject', 'itk::ImageSpatialObject', 'itkImageSpatialObject2UC', '2,unsigned char'),
  ('ImageSpatialObject', 'itk::ImageSpatialObject', 'itkImageSpatialObject2US', '2,unsigned short'),
  ('ImageSpatialObject', 'itk::ImageSpatialObject', 'itkImageSpatialObject2F', '2,float'),
  ('BlobSpatialObject', 'itk::BlobSpatialObject', 'itkBlobSpatialObject2', '2'),
  ('PolygonSpatialObject', 'itk::PolygonSpatialObject', 'itkPolygonSpatialObject2', '2'),
  ('ArrowSpatialObject', 'itk::ArrowSpatialObject', 'itkArrowSpatialObject2', '2'),
  ('BoxSpatialObject', 'itk::BoxSpatialObject', 'itkBoxSpatialObject2', '2'),
  ('ContourSpatialObject', 'itk::ContourSpatialObject', 'itkContourSpatialObject2', '2'),
  ('EllipseSpatialObject', 'itk::EllipseSpatialObject', 'itkEllipseSpatialObject2', '2'),
  ('GaussianSpatialObject', 'itk::GaussianSpatialObject', 'itkGaussianSpatialObject2', '2'),
  ('GroupSpatialObject', 'itk::GroupSpatialObject', 'itkGroupSpatialObject2', '2'),
  ('ImageMaskSpatialObject', 'itk::ImageMaskSpatialObject', 'itkImageMaskSpatialObject2', '2'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorIUS2', 'otb::Image< unsigned short,2 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorIIUS2', 'itk::Image< unsigned short,2 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorIF2', 'otb::Image< float,2 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorIIF2', 'itk::Image< float,2 >'),
  ('LandmarkSpatialObject', 'itk::LandmarkSpatialObject', 'itkLandmarkSpatialObject2', '2'),
  ('LineSpatialObject', 'itk::LineSpatialObject', 'itkLineSpatialObject2', '2'),
  ('LineSpatialObjectPoint', 'itk::LineSpatialObjectPoint', 'itkLineSpatialObjectPoint2', '2'),
  ('vector', 'std::vector', 'vectoritkLineSpatialObjectPoint2', 'itk::LineSpatialObjectPoint< 2  >'),
  ('PlaneSpatialObject', 'itk::PlaneSpatialObject', 'itkPlaneSpatialObject2', '2'),
  ('PolygonGroupSpatialObject', 'itk::PolygonGroupSpatialObject', 'itkPolygonGroupSpatialObject2', '2'),
  ('SceneSpatialObject', 'itk::SceneSpatialObject', 'itkSceneSpatialObject2', '2'),
  ('SpatialObject', 'itk::SpatialObject', 'itkSpatialObject2', '2'),
  ('list', 'std::list', 'listitkSpatialObject2_Pointer', 'itk::SpatialObject< 2  >'),
  ('TreeNode', 'itk::TreeNode', 'itkTreeNodeSO2', 'itk::SpatialObject< 2 >*'),
  ('SpatialObjectTreeNode', 'itk::SpatialObjectTreeNode', 'itkSpatialObjectTreeNode2', '2'),
  ('SpatialObjectToImageFilter', 'itk::SpatialObjectToImageFilter', 'itkSpatialObjectToImageFilterSO2IUS2', 'itk::SpatialObject< 2 >,otb::Image< unsigned short,2 >'),
  ('SpatialObjectToImageFilter', 'itk::SpatialObjectToImageFilter', 'itkSpatialObjectToImageFilterSO2IF2', 'itk::SpatialObject< 2 >,otb::Image< float,2 >'),
  ('SurfaceSpatialObject', 'itk::SurfaceSpatialObject', 'itkSurfaceSpatialObject2', '2'),
  ('SurfaceSpatialObjectPoint', 'itk::SurfaceSpatialObjectPoint', 'itkSurfaceSpatialObjectPoint2', '2'),
  ('vector', 'std::vector', 'vectoritkSurfaceSpatialObjectPoint2', 'itk::SurfaceSpatialObjectPoint< 2  >'),
)
