depends = ('ITKPyBase', 'otbBasicFilters', 'otbResampling', 'otbImages', 'itkSimpleFilters', 'itkTransforms', 'itkCommon', 'itkBase', )
templates = (
  ('EllipsoidAdapter', 'otb::EllipsoidAdapter', 'otbEllipsoidAdapter'),
  ('GCPsToRPCSensorModelImageFilter', 'otb::GCPsToRPCSensorModelImageFilter', 'otbGCPsToRPCSensorModelImageFilterIF2', 'otb::Image< float,2 >'),
  ('GCPsToRPCSensorModelImageFilter', 'otb::GCPsToRPCSensorModelImageFilter', 'otbGCPsToRPCSensorModelImageFilterVIF2', 'otb::VectorImage< float,2 >'),
  ('GCPsToRPCSensorModelImageFilter', 'otb::GCPsToRPCSensorModelImageFilter', 'otbGCPsToRPCSensorModelImageFilterID2', 'otb::Image< double,2 >'),
  ('GCPsToRPCSensorModelImageFilter', 'otb::GCPsToRPCSensorModelImageFilter', 'otbGCPsToRPCSensorModelImageFilterVID2', 'otb::VectorImage< double,2 >'),
  ('GenericRSResampleImageFilter', 'otb::GenericRSResampleImageFilter', 'otbGenericRSResampleImageFilterIF2IF2', 'otb::Image< float,2 >,otb::Image< float,2 >'),
  ('GenericRSResampleImageFilter', 'otb::GenericRSResampleImageFilter', 'otbGenericRSResampleImageFilterVIF2VIF2', 'otb::VectorImage< float,2 >,otb::VectorImage< float,2 >'),
  ('GenericRSResampleImageFilter', 'otb::GenericRSResampleImageFilter', 'otbGenericRSResampleImageFilterID2IF2', 'otb::Image< double,2 >,otb::Image< float,2 >'),
  ('GenericRSResampleImageFilter', 'otb::GenericRSResampleImageFilter', 'otbGenericRSResampleImageFilterVID2VIF2', 'otb::VectorImage< double,2 >,otb::VectorImage< float,2 >'),
  ('GenericRSResampleImageFilter', 'otb::GenericRSResampleImageFilter', 'otbGenericRSResampleImageFilterIF2ID2', 'otb::Image< float,2 >,otb::Image< double,2 >'),
  ('GenericRSResampleImageFilter', 'otb::GenericRSResampleImageFilter', 'otbGenericRSResampleImageFilterVIF2VID2', 'otb::VectorImage< float,2 >,otb::VectorImage< double,2 >'),
  ('GenericRSResampleImageFilter', 'otb::GenericRSResampleImageFilter', 'otbGenericRSResampleImageFilterID2ID2', 'otb::Image< double,2 >,otb::Image< double,2 >'),
  ('GenericRSResampleImageFilter', 'otb::GenericRSResampleImageFilter', 'otbGenericRSResampleImageFilterVID2VID2', 'otb::VectorImage< double,2 >,otb::VectorImage< double,2 >'),
  ('GenericRSTransform', 'otb::GenericRSTransform', 'otbGenericRSTransformD', 'double'),
  ('MapProjectionAdapter', 'otb::MapProjectionAdapter', 'otbMapProjectionAdapter'),
  ('GenericMapProjection', 'otb::GenericMapProjection', 'otbGenericMapProjectionForwardD22', 'otb::TransformDirection::FORWARD, double, 2, 2'),
  ('GenericMapProjection', 'otb::GenericMapProjection', 'otbGenericMapProjectionInverseD22', 'otb::TransformDirection::INVERSE, double, 2, 2'),
  ('UtmMapProjection', 'otb::UtmMapProjection', 'otbUtmMapProjectionInverse', 'otb::TransformDirection::INVERSE'),
  ('UtmMapProjection', 'otb::UtmMapProjection', 'otbUtmMapProjectionForward', 'otb::TransformDirection::FORWARD'),
  ('OrthoRectificationFilter', 'otb::OrthoRectificationFilter', 'otbOrthoRectificationFilterIF2IF2UTMD', 'otb::Image< float,2 >,otb::Image< float,2 >,otb::UtmMapProjection< otb::TransformDirection::INVERSE > ,double'),
  ('OrthoRectificationFilter', 'otb::OrthoRectificationFilter', 'otbOrthoRectificationFilterVIF2VIF2UTMD', 'otb::VectorImage< float,2 >,otb::VectorImage< float,2 >,otb::UtmMapProjection< otb::TransformDirection::INVERSE > ,double'),
  ('OrthoRectificationFilter', 'otb::OrthoRectificationFilter', 'otbOrthoRectificationFilterID2IF2UTMD', 'otb::Image< double,2 >,otb::Image< float,2 >,otb::UtmMapProjection< otb::TransformDirection::INVERSE > ,double'),
  ('OrthoRectificationFilter', 'otb::OrthoRectificationFilter', 'otbOrthoRectificationFilterVID2VIF2UTMD', 'otb::VectorImage< double,2 >,otb::VectorImage< float,2 >,otb::UtmMapProjection< otb::TransformDirection::INVERSE > ,double'),
  ('OrthoRectificationFilter', 'otb::OrthoRectificationFilter', 'otbOrthoRectificationFilterIF2ID2UTMD', 'otb::Image< float,2 >,otb::Image< double,2 >,otb::UtmMapProjection< otb::TransformDirection::INVERSE > ,double'),
  ('OrthoRectificationFilter', 'otb::OrthoRectificationFilter', 'otbOrthoRectificationFilterVIF2VID2UTMD', 'otb::VectorImage< float,2 >,otb::VectorImage< double,2 >,otb::UtmMapProjection< otb::TransformDirection::INVERSE > ,double'),
  ('OrthoRectificationFilter', 'otb::OrthoRectificationFilter', 'otbOrthoRectificationFilterID2ID2UTMD', 'otb::Image< double,2 >,otb::Image< double,2 >,otb::UtmMapProjection< otb::TransformDirection::INVERSE > ,double'),
  ('OrthoRectificationFilter', 'otb::OrthoRectificationFilter', 'otbOrthoRectificationFilterVID2VID2UTMD', 'otb::VectorImage< double,2 >,otb::VectorImage< double,2 >,otb::UtmMapProjection< otb::TransformDirection::INVERSE > ,double'),
  ('PhysicalToRPCSensorModelImageFilter', 'otb::PhysicalToRPCSensorModelImageFilter', 'otbPhysicalToRPCSensorModelImageFilterIF2', 'otb::Image< float,2 >'),
  ('PhysicalToRPCSensorModelImageFilter', 'otb::PhysicalToRPCSensorModelImageFilter', 'otbPhysicalToRPCSensorModelImageFilterVIF2', 'otb::VectorImage< float,2 >'),
  ('PhysicalToRPCSensorModelImageFilter', 'otb::PhysicalToRPCSensorModelImageFilter', 'otbPhysicalToRPCSensorModelImageFilterID2', 'otb::Image< double,2 >'),
  ('PhysicalToRPCSensorModelImageFilter', 'otb::PhysicalToRPCSensorModelImageFilter', 'otbPhysicalToRPCSensorModelImageFilterVID2', 'otb::VectorImage< double,2 >'),
  ('RPCProjectionAdapter', 'otb::RPCProjectionAdapter', 'otbRPCProjectionAdapter'),
  ('ForwardSensorModel', 'otb::ForwardSensorModel', 'otbForwardSensorModelD2', 'double,2'),
  ('InverseSensorModel', 'otb::InverseSensorModel', 'otbInverseSensorModelD2', 'double,2'),
)
